Skip to content

Sends out a preview of the notification template

Request

Sends out a preview of the notification template

Security
knox-authorizer
Path
tenantIdstringrequired

The tenant

Bodyapplication/jsonrequired

The domain_name to use to for record lookup

contact_idstring(Contact)required
customer_typestring(Customer Type)required
Enum:"contact""organization"
idstring(ID)

The refund id

invoice_idstring(Invoice)
organization_idstring(Organization)required
templatestring(Template)required
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/statements/{tenantId}/previewTemplate' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "contact_id": "string",
    "customer_type": "contact",
    "id": "string",
    "invoice_id": "string",
    "organization_id": "string",
    "template": "string"
  }'

Responses

The record was retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring